Subiject: sys_file_processedfile with empty identifier and name fields

Description

In our installation "empty" sys_file_processedfile entries are created when the image cant be found.

The entries are missing identifier, name, width and height and it seems like they are created when a page is rendered but the image
cant be found (but already in sys_file and sys_file_reference). It happens in our installation with a dedicated frontend server where the
images are rsync'ed every 5min. So it can happen that an image is not synced yet.

In this case the frontend renders the image in its original size (without proper width and height sadly) and an empty
sys_file_processedfile is added (leading to the fact that the image isnt rendered correctly later, even if it is synced).

This seems to be new since 6.2, wasnt happening with 6.1 (at least not in the frontend)

Related issues:

related to Core - Bug # 50392: Specifying size in ImageViewHelper does nothing Closed 2013-07-24
related to Core - Bug # 62400: Lot of entries in sys_file_processed with name... Rejected 2014-10-22
related to Core - Bug # 44105: Image size does not get updated Closed 2012-12-19
related to Core - Bug # 62247: FAL: Uppercase File Extensions of Image cannot... Rejected 2014-10-15
related to Core - Bug # 59216: Image dimensions (width/height) are 0 when not... Closed 2014-05-30
related to Core - Bug # 61181: FAL: file maxW and maxH are ignored Rejected 2014-08-25
History

#1 - 2014-07-13 22:28 - Klaus Hinum

looks like these empty sys_file_processedfile entries are not only created when a image is missing, but also when the frontend page is rendered. | find
a lot of empty processedfiles in the DB and they will be regernerated if | delete them (altough the images exist and the frontend output looks good).

#2 - 2014-07-30 11:12 - Christian Ludwig
- Project changed from Core to FAL Indexing

- Assigned To set to Benjamin Mack

There seems to be a problem with the caching. We are often running into the same problem.

I am not sure if this should be handled by FAL Indexer? At least TYPOS3 lacks a function to clear processed files as it is still available for the old image
handler in the install tool.

At the moment, when we find images that are not scaled at all, we simply TRUNCATE TABLE “sys_file_processedfile’. But this leaves many processed

images in numerous processed folders.

#3 - 2015-05-08 22:35 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/39373
#4 - 2015-05-08 23:06 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39373
